[SRU] OpenStack Kilo 2015.1 release

Bug #1449744 reported by James Page on 2015-04-28
16
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ceilometer (Ubuntu)
Undecided
Unassigned
Vivid
Undecided
Unassigned
cinder (Ubuntu)
Undecided
Unassigned
Vivid
Undecided
Unassigned
designate (Ubuntu)
Undecided
Unassigned
Vivid
Undecided
Unassigned
glance (Ubuntu)
Undecided
Unassigned
Vivid
Undecided
Unassigned
heat (Ubuntu)
Undecided
Unassigned
Vivid
Undecided
Unassigned
horizon (Ubuntu)
Undecided
Unassigned
Vivid
Undecided
Unassigned
ironic (Ubuntu)
Undecided
Unassigned
Vivid
Undecided
Unassigned
keystone (Ubuntu)
Undecided
Unassigned
Vivid
Undecided
Unassigned
manila (Ubuntu)
Undecided
Unassigned
Vivid
Undecided
Unassigned
neutron (Ubuntu)
Undecided
Unassigned
Vivid
Undecided
Unassigned
neutron-fwaas (Ubuntu)
Undecided
Unassigned
Vivid
Undecided
Unassigned
neutron-lbaas (Ubuntu)
Undecided
Unassigned
Vivid
Undecided
Unassigned
neutron-vpnaas (Ubuntu)
Undecided
Unassigned
Vivid
Undecided
Unassigned
nova (Ubuntu)
Undecided
Unassigned
Vivid
Undecided
Unassigned
openstack-trove (Ubuntu)
Undecided
Unassigned
Vivid
Undecided
Unassigned
python-openstackclient (Ubuntu)
Undecided
Unassigned
Vivid
Undecided
Unassigned
sahara (Ubuntu)
Undecided
Unassigned
Vivid
Undecided
Unassigned

Bug Description

Hello everyone,

I'm delighted to announce the final release of OpenStack 2015.1.0,
code-named "Kilo". This concludes the 6-month Kilo development cycle,
which saw the completion of more than 400 features and the fixing
of more than 3300 bugs (only considering the 12 projects that make up
this release !).

In the name of all the contributors to this release, the OpenStack
Technical Committee would like to dedicate it to the loving memory of
Chris Yeoh, who passed away from cancer earlier this month. Chris was a
long time and prolific open source developer, most recently with IBM. He
contributed significantly to the OpenStack project, most notably in the
Nova project team. His community spirit, technical contributions and
friendship will be missed.

You can find source tarballs, together with complete lists of features
and bugfixes for each project, at the following links:

Compute (Nova): https://launchpad.net/nova/kilo/2015.1.0
Object Storage (Swift): https://launchpad.net/swift/kilo/2.3.0
Image Service (Glance): https://launchpad.net/glance/kilo/2015.1.0
Networking (Neutron): https://launchpad.net/neutron/kilo/2015.1.0
Block Storage (Cinder): https://launchpad.net/cinder/kilo/2015.1.0
Identity (Keystone): https://launchpad.net/keystone/kilo/2015.1.0
Dashboard (Horizon): https://launchpad.net/horizon/kilo/2015.1.0
Telemetry (Ceilometer): https://launchpad.net/ceilometer/kilo/2015.1.0
Orchestration (Heat): https://launchpad.net/heat/kilo/2015.1.0
Database Service (Trove): https://launchpad.net/trove/kilo/2015.1.0
Data Processing (Sahara): https://launchpad.net/sahara/kilo/2015.1.0
Bare metal (Ironic): https://launchpad.net/ironic/kilo/2015.1.0

The Kilo Release Notes wikipage contains an overview of the key
features, as well as upgrade notes and current lists of known issues.
You can access them at:

https://wiki.openstack.org/wiki/ReleaseNotes/Kilo

Thanks again to all the individuals who contributed to this development
cycle and helped in making this release a success !

Chuck Short (zulcss) on 2015-04-30
description: updated

Hello James, or anyone else affected,

Accepted neutron-vpnaas into vivid-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/neutron-vpnaas/1:2015.1.0-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in python-openstackclient (Ubuntu Vivid):
status: New → Fix Committed
Changed in neutron-vpnaas (Ubuntu Vivid):
status: New → Fix Committed
tags: added: verification-needed
Changed in neutron-lbaas (Ubuntu Vivid):
status: New → Fix Committed
Chris J Arges (arges) wrote :

Hello James, or anyone else affected,

Accepted neutron-lbaas into vivid-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/neutron-lbaas/1:2015.1.0-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in manila (Ubuntu Vivid):
status: New → Fix Committed
Chris J Arges (arges) wrote :

Hello James, or anyone else affected,

Accepted manila into vivid-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/manila/2015.1.0-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in designate (Ubuntu Vivid):
status: New → Fix Committed
Chris J Arges (arges) wrote :

Hello James, or anyone else affected,

Accepted designate into vivid-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/designate/2015.1.0-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in openstack-trove (Ubuntu Vivid):
status: New → Fix Committed
Chris J Arges (arges) wrote :

Hello James, or anyone else affected,

Accepted openstack-trove into vivid-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/openstack-trove/2015.1.0-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in sahara (Ubuntu Vivid):
status: New → Fix Committed
Chris J Arges (arges) wrote :

Hello James, or anyone else affected,

Accepted sahara into vivid-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/sahara/2015.1.0-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in nova (Ubuntu Vivid):
status: New → Fix Committed
Chris J Arges (arges) wrote :

Hello James, or anyone else affected,

Accepted nova into vivid-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/nova/1:2015.1.0-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in neutron (Ubuntu Vivid):
status: New → Fix Committed
Chris J Arges (arges) wrote :

Hello James, or anyone else affected,

Accepted neutron into vivid-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/neutron/1:2015.1.0-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in keystone (Ubuntu Vivid):
status: New → Fix Committed
Chris J Arges (arges) wrote :

Hello James, or anyone else affected,

Accepted keystone into vivid-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/keystone/1:2015.1.0-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ironic (Ubuntu Vivid):
status: New → Fix Committed
Chris J Arges (arges) wrote :

Hello James, or anyone else affected,

Accepted ironic into vivid-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/ironic/2015.1.0-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in horizon (Ubuntu Vivid):
status: New → Fix Committed
Chris J Arges (arges) wrote :

Hello James, or anyone else affected,

Accepted horizon into vivid-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/horizon/1:2015.1.0-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in heat (Ubuntu Vivid):
status: New → Fix Committed
Chris J Arges (arges) wrote :

Hello James, or anyone else affected,

Accepted heat into vivid-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/heat/2015.1.0-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in glance (Ubuntu Vivid):
status: New → Fix Committed
Chris J Arges (arges) wrote :

Hello James, or anyone else affected,

Accepted glance into vivid-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/glance/1:2015.1.0-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in cinder (Ubuntu Vivid):
status: New → Fix Committed
Chris J Arges (arges) wrote :

Hello James, or anyone else affected,

Accepted cinder into vivid-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/cinder/1:2015.1.0-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ceilometer (Ubuntu Vivid):
status: New → Fix Committed
Chris J Arges (arges) wrote :

Hello James, or anyone else affected,

Accepted ceilometer into vivid-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/ceilometer/2015.1.0-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in neutron-fwaas (Ubuntu Vivid):
status: New → Fix Committed
Chris J Arges (arges) wrote :

Hello James, or anyone else affected,

Accepted neutron-fwaas into vivid-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/neutron-fwaas/2015.1.0-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Chris J Arges (arges) wrote :

Hello James, or anyone else affected,

Accepted openstack-trove into vivid-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/openstack-trove/2015.1.0-0ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package horizon - 1:2015.1.0-0ubuntu1

---------------
horizon (1:2015.1.0-0ubuntu1) vivid; urgency=medium

  * New upstream release for OpenStack kilo. (LP: #1449744)

 -- Corey Bryant <email address hidden> Thu, 30 Apr 2015 15:46:00 +0200

Changed in horizon (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ironic - 2015.1.0-0ubuntu1

---------------
ironic (2015.1.0-0ubuntu1) vivid; urgency=medium

  [ Chuck Short ]
  * New upstream release for OpenStack Kilo. (LP: #1449744)
  * debian/ironic-common.install: Dropped ironic-nova-bm-migrate.

  [ JJ Asghar ]
  * d/ironic-conductor.init.in: ironic-api -> ironic-conductor
    (LP: #1429962).

 -- Chuck Short <email address hidden> Sun, 03 May 2015 13:50:22 -0400

Changed in ironic (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sahara - 2015.1.0-0ubuntu1

---------------
sahara (2015.1.0-0ubuntu1) vivid; urgency=medium

  * New upstream release for OpenStack kilo. (LP: #1449744)

 -- Corey Bryant <email address hidden> Thu, 30 Apr 2015 15:53:55 +0200

Changed in sahara (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron-lbaas - 1:2015.1.0-0ubuntu1

---------------
neutron-lbaas (1:2015.1.0-0ubuntu1) vivid; urgency=medium

  * New upstream release for OpenStack Kilo. (LP: #1449744)

 -- Chuck Short <email address hidden> Thu, 30 Apr 2015 17:35:09 +0200

Changed in neutron-lbaas (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python-openstackclient - 1.0.3-0ubuntu1

---------------
python-openstackclient (1.0.3-0ubuntu1) vivid; urgency=medium

  * New upstream release. (LP: #1449744)

 -- Chuck Short <email address hidden> Fri, 01 May 2015 09:11:50 +0200

Changed in python-openstackclient (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron-fwaas - 2015.1.0-0ubuntu1

---------------
neutron-fwaas (2015.1.0-0ubuntu1) vivid; urgency=medium

  * New upstream release for OpenStack Kilo. (LP: #1449744)

 -- Chuck Short <email address hidden> Thu, 30 Apr 2015 17:40:32 +0200

Changed in neutron-fwaas (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron - 1:2015.1.0-0ubuntu1

---------------
neutron (1:2015.1.0-0ubuntu1) vivid; urgency=medium

  [ Corey Bryant ]
  * New upstream release for OpenStack kilo. (LP: #1449744)

  [ James Page ]
  * d/control: Add missing dependency on conntrack for neutron-l3-agent
    for HA router configuration now that conntrack has completed MIR
    (LP: #1381450).
  * d/*: wrap-and-sort.

 -- Corey Bryant <email address hidden> Thu, 30 Apr 2015 15:29:57 +0200

Changed in neutron (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package heat - 2015.1.0-0ubuntu1

---------------
heat (2015.1.0-0ubuntu1) vivid; urgency=medium

  * New upstream release for OpenStack Kilo. (LP: #1449744)
  * d/p/fix-requirements.patch: Refreshed

 -- Chuck Short <email address hidden> Sun, 03 May 2015 13:45:33 -0400

Changed in heat (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cinder - 1:2015.1.0-0ubuntu1

---------------
cinder (1:2015.1.0-0ubuntu1) vivid; urgency=medium

  [ Chuck Short ]
  * New upstream release for OpenStack Kilo. (LP: #1449744)

  [ James Page ]
  * d/p/*: Refresh.

 -- Chuck Short <email address hidden> Sun, 03 May 2015 13:40:57 -0400

Changed in cinder (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package keystone - 1:2015.1.0-0ubuntu1

---------------
keystone (1:2015.1.0-0ubuntu1) vivid; urgency=medium

  * New upstream release for OpenStack kilo. (LP: #1449744)

 -- Corey Bryant <email address hidden> Thu, 30 Apr 2015 16:16:32 +0200

Changed in keystone (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nova - 1:2015.1.0-0ubuntu1

---------------
nova (1:2015.1.0-0ubuntu1) vivid; urgency=medium

  * New upstream release for OpenStack Kilo. (LP: #1449744)

 -- Chuck Short <email address hidden> Sun, 03 May 2015 13:56:17 -0400

Changed in nova (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package glance - 1:2015.1.0-0ubuntu1

---------------
glance (1:2015.1.0-0ubuntu1) vivid; urgency=medium

  * New upstream release for OpenStack kilo. (LP: #1449744)

 -- Corey Bryant <email address hidden> Thu, 30 Apr 2015 15:38:08 +0200

Changed in glance (Ubuntu):
status: Fix Committed → Fix Released
James Page (james-page) on 2015-05-11
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ceilometer - 2015.1.0-0ubuntu1

---------------
ceilometer (2015.1.0-0ubuntu1) vivid; urgency=medium

  [ Corey Bryant ]
  * New upstream release for OpenStack kilo (LP: #1449744):
    - d/p/disable-kafka.patch: Rebased.

 -- Chuck Short <email address hidden> Sun, 03 May 2015 13:38:43 -0400

Changed in ceilometer (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python-openstackclient - 1.0.3-0ubuntu1

---------------
python-openstackclient (1.0.3-0ubuntu1) vivid; urgency=medium

  * New upstream release. (LP: #1449744)

 -- Chuck Short <email address hidden> Fri, 01 May 2015 09:11:50 +0200

Changed in python-openstackclient (Ubuntu Vivid):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for python-openstackclient has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sahara - 2015.1.0-0ubuntu1

---------------
sahara (2015.1.0-0ubuntu1) vivid; urgency=medium

  * New upstream release for OpenStack kilo. (LP: #1449744)

 -- Corey Bryant <email address hidden> Thu, 30 Apr 2015 15:53:55 +0200

Changed in sahara (Ubuntu Vivid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ironic - 2015.1.0-0ubuntu1

---------------
ironic (2015.1.0-0ubuntu1) vivid; urgency=medium

  [ Chuck Short ]
  * New upstream release for OpenStack Kilo. (LP: #1449744)
  * debian/ironic-common.install: Dropped ironic-nova-bm-migrate.

  [ JJ Asghar ]
  * d/ironic-conductor.init.in: ironic-api -> ironic-conductor
    (LP: #1429962).

 -- Chuck Short <email address hidden> Sun, 03 May 2015 13:50:22 -0400

Changed in ironic (Ubuntu Vivid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron-vpnaas - 1:2015.1.0-0ubuntu1

---------------
neutron-vpnaas (1:2015.1.0-0ubuntu1) vivid; urgency=medium

  * New upstream release for OpenStack kilo. (LP: #1449744)

 -- Chuck Short <email address hidden> Thu, 30 Apr 2015 18:32:31 +0200

Changed in neutron-vpnaas (Ubuntu Vivid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron-lbaas - 1:2015.1.0-0ubuntu1

---------------
neutron-lbaas (1:2015.1.0-0ubuntu1) vivid; urgency=medium

  * New upstream release for OpenStack Kilo. (LP: #1449744)

 -- Chuck Short <email address hidden> Thu, 30 Apr 2015 17:35:09 +0200

Changed in neutron-lbaas (Ubuntu Vivid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nova - 1:2015.1.0-0ubuntu1

---------------
nova (1:2015.1.0-0ubuntu1) vivid; urgency=medium

  * New upstream release for OpenStack Kilo. (LP: #1449744)

 -- Chuck Short <email address hidden> Sun, 03 May 2015 13:56:17 -0400

Changed in nova (Ubuntu Vivid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package keystone - 1:2015.1.0-0ubuntu1

---------------
keystone (1:2015.1.0-0ubuntu1) vivid; urgency=medium

  * New upstream release for OpenStack kilo. (LP: #1449744)

 -- Corey Bryant <email address hidden> Thu, 30 Apr 2015 16:16:32 +0200

Changed in keystone (Ubuntu Vivid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package manila - 2015.1.0-0ubuntu1

---------------
manila (2015.1.0-0ubuntu1) vivid; urgency=medium

  * New upstream release for OpenStack kilo. (LP: #1449744)

 -- Chuck Short <email address hidden> Fri, 01 May 2015 08:38:15 +0200

Changed in manila (Ubuntu Vivid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron - 1:2015.1.0-0ubuntu1

---------------
neutron (1:2015.1.0-0ubuntu1) vivid; urgency=medium

  [ Corey Bryant ]
  * New upstream release for OpenStack kilo. (LP: #1449744)

  [ James Page ]
  * d/control: Add missing dependency on conntrack for neutron-l3-agent
    for HA router configuration now that conntrack has completed MIR
    (LP: #1381450).
  * d/*: wrap-and-sort.

 -- Corey Bryant <email address hidden> Thu, 30 Apr 2015 15:29:57 +0200

Changed in neutron (Ubuntu Vivid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package horizon - 1:2015.1.0-0ubuntu1

---------------
horizon (1:2015.1.0-0ubuntu1) vivid; urgency=medium

  * New upstream release for OpenStack kilo. (LP: #1449744)

 -- Corey Bryant <email address hidden> Thu, 30 Apr 2015 15:46:00 +0200

Changed in horizon (Ubuntu Vivid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package glance - 1:2015.1.0-0ubuntu1

---------------
glance (1:2015.1.0-0ubuntu1) vivid; urgency=medium

  * New upstream release for OpenStack kilo. (LP: #1449744)

 -- Corey Bryant <email address hidden> Thu, 30 Apr 2015 15:38:08 +0200

Changed in glance (Ubuntu Vivid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package heat - 2015.1.0-0ubuntu1

---------------
heat (2015.1.0-0ubuntu1) vivid; urgency=medium

  * New upstream release for OpenStack Kilo. (LP: #1449744)
  * d/p/fix-requirements.patch: Refreshed

 -- Chuck Short <email address hidden> Sun, 03 May 2015 13:45:33 -0400

Changed in heat (Ubuntu Vivid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ceilometer - 2015.1.0-0ubuntu1

---------------
ceilometer (2015.1.0-0ubuntu1) vivid; urgency=medium

  [ Corey Bryant ]
  * New upstream release for OpenStack kilo (LP: #1449744):
    - d/p/disable-kafka.patch: Rebased.

 -- Chuck Short <email address hidden> Sun, 03 May 2015 13:38:43 -0400

Changed in ceilometer (Ubuntu Vivid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron-fwaas - 2015.1.0-0ubuntu1

---------------
neutron-fwaas (2015.1.0-0ubuntu1) vivid; urgency=medium

  * New upstream release for OpenStack Kilo. (LP: #1449744)

 -- Chuck Short <email address hidden> Thu, 30 Apr 2015 17:40:32 +0200

Changed in neutron-fwaas (Ubuntu Vivid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cinder - 1:2015.1.0-0ubuntu1

---------------
cinder (1:2015.1.0-0ubuntu1) vivid; urgency=medium

  [ Chuck Short ]
  * New upstream release for OpenStack Kilo. (LP: #1449744)

  [ James Page ]
  * d/p/*: Refresh.

 -- Chuck Short <email address hidden> Sun, 03 May 2015 13:40:57 -0400

Changed in cinder (Ubuntu Vivid):
status: Fix Committed → Fix Released

Hello James, or anyone else affected,

Accepted designate into vivid-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/designate/2015.1.0-0ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: removed: verification-done
tags: added: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package designate - 2015.1.0-0ubuntu1.1

---------------
designate (2015.1.0-0ubuntu1.1) vivid; urgency=medium

  * d/p/fix-SO_REUSEPORT-usage.patch: Cherry pick workaround for use of
    SO_REUSEPORT socket option with older kernel versions, resolving
    FTBFS on distro builders which use 3.2.0 kernels (LP: #1451691).

designate (2015.1.0-0ubuntu1) vivid; urgency=medium

  * New upstream release for OpenStack Kilo. (LP: #1449744)

 -- James Page <email address hidden> Mon, 11 May 2015 12:00:25 +0100

Changed in designate (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package manila - 2015.1.0-0ubuntu1

---------------
manila (2015.1.0-0ubuntu1) vivid; urgency=medium

  * New upstream release for OpenStack kilo. (LP: #1449744)

 -- Chuck Short <email address hidden> Fri, 01 May 2015 08:38:15 +0200

Changed in manila (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openstack-trove - 2015.1.0-0ubuntu1.2

---------------
openstack-trove (2015.1.0-0ubuntu1.2) vivid; urgency=medium

  * d/p/patch-default-config-file.patch: Fix to ensure that path to
    sqlite database is fully specified (LP: #1451134).

 -- James Page <email address hidden> Wed, 13 May 2015 11:55:48 +0100

Changed in openstack-trove (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron-vpnaas - 1:2015.1.0-0ubuntu1

---------------
neutron-vpnaas (1:2015.1.0-0ubuntu1) vivid; urgency=medium

  * New upstream release for OpenStack kilo. (LP: #1449744)

 -- Chuck Short <email address hidden> Thu, 30 Apr 2015 18:32:31 +0200

Changed in neutron-vpnaas (Ubuntu):
status: Fix Committed → Fix Released
James Page (james-page) on 2015-05-15
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package designate - 2015.1.0-0ubuntu1.1

---------------
designate (2015.1.0-0ubuntu1.1) vivid; urgency=medium

  * d/p/fix-SO_REUSEPORT-usage.patch: Cherry pick workaround for use of
    SO_REUSEPORT socket option with older kernel versions, resolving
    FTBFS on distro builders which use 3.2.0 kernels (LP: #1451691).

designate (2015.1.0-0ubuntu1) vivid; urgency=medium

  * New upstream release for OpenStack Kilo. (LP: #1449744)

 -- James Page <email address hidden> Mon, 11 May 2015 12:00:25 +0100

Changed in designate (Ubuntu Vivid):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers